restinio::http_field_parsers::qvalue_details::trusted Class Reference

A helper wrapper to indicate that value is already checked and shouldn't be checked again. More...

`#include <basics.hpp>`

## Public Member Functions

constexpr | trusted (underlying_uint_t value) noexcept
constexpr auto | get () const noexcept

## Private Attributes

const underlying_uint_t | m_value

## Detailed Description

A helper wrapper to indicate that value is already checked and shouldn't be checked again.

Definition at line 50 of file basics.hpp.

## Constructor & Destructor Documentation

## trusted()

constexpr restinio::http_field_parsers::qvalue_details::trusted::trusted | ( | underlying_uint_t | value | ) |

inlineexplicitconstexprnoexcept

Definition at line 56 of file basics.hpp.

## Member Function Documentation

## get()

constexpr auto restinio::http_field_parsers::qvalue_details::trusted::get | ( |  | ) | const

inlineconstexprnoexcept

Definition at line 58 of file basics.hpp.

## Member Data Documentation

## m_value

const underlying_uint_t restinio::http_field_parsers::qvalue_details::trusted::m_value

private

Definition at line 52 of file basics.hpp.

The documentation for this class was generated from the following file:

- restinio/helpers/http_field_parsers/basics.hpp